<?php

/*
Theme Name: Sobre
Version: 2.0
Description: Black and white theme, based on Yoga/dark.
Theme URI: http://piwigo.org/ext/extension_view.php?eid=375
Author: Gotcha
Author URI: http://www.julien-moreau.fr
*/

$themeconf = array(
  'parent' 		=> 'default',
  'name'  		=> 'Sobre',
  'local_head'  => 'local_head.tpl',
);

/* Exemple pour les $conf srialiss */
/*
$conf['picture_informations'] = unserialize($conf['picture_informations']);
$conf['picture_informations']['author'] = false;
$conf['picture_informations'] = serialize($conf['picture_informations']);
*/

/* Language */
load_language('theme.lang', PHPWG_THEMES_PATH.'sobre/');

add_event_handler('loc_begin_page_header', 'set_sbre_header');
function set_sbre_header()
{
  global $page, $conf, $template;
  $config = unserialize($conf['Sobre']);
  if (isset($page['body_id']) and $page['body_id'] == 'theCategoryPage')
  {
    $header = isset($page['category']) ? $config['categories'] : $config['home'];
  }
  elseif (isset($page['body_id']) and $page['body_id'] == 'thePicturePage')
  {
    $header = $config['picture'];
  }
  else
  {
    $header = $config['other'];
  }
  $template->assign('display_sbre_banner', $header);
}

/* Ajout d'une icne RSS  la suite du champs "Notifications" dans le menu "Menu" (menubar) */
add_event_handler('blockmanager_prepare_display', 'add_rss_icon');
function add_rss_icon()
{
global $lang;
  if (isset($lang['Notification'])) {
    $lang['Notification'] .= '<img src="./themes/sobre/images/rss.png" style="float:right; margin-right:10px; position:inherit;" class="button_rss" alt="flux-rss"/>';
  }
  if (isset($lang['Notification RSS'])) {
    $lang['Notification RSS'] .= '<img src="./themes/sobre/images/rss.png" style="float:right; margin-right:10px; position:inherit;" class="button_rss" alt="flux-rss"/>';
  }
}

/* coa_albums.tpl */

/* Mise en tableau des commentaires (ajout) */
$this->set_prefilter('comments_on_albums', 'Addon_picture_Pendings_05');
function Addon_picture_Pendings_05($content, &$smarty)
{
$pattern = '#<form method="post"(.*){/if}{\*comments\*}#ms';
$replacement = '
<form method="post" action="{$comment_add.F_ACTION}" class="filter" id="addComment">
	<fieldset>
		<label><textarea name="content" id="contentid" rows="5" cols="62" onFocus="if(this.value==\'Votre commentaire ici. Merci\')this.value=\'\'">Votre commentaire ici. Merci{$comment_add.CONTENT}</textarea></label>
		<legend>{\'Add a comment\'|@translate}</legend>

		  {if $comment_add.SHOW_AUTHOR}
		    <span>
			  <label id="commentateur">
			    {\'upload author\'|@translate}
			    <input type="text" name="author">
			    <input type="submit" value="{\'Submit comment\'|@translate}">
		      </label>
			<span>
		  {else}
		    <span>
			  <label id="commentateur"><input type="submit" value="{\'Submit comment\'|@translate}"></label>
			</span>
		  {/if}
		<input type="hidden" name="key" value="{$comment_add.KEY}">
	</fieldset>
	</form>
	{/if}
</div>
{/if}{*comments*}
';
return preg_replace($pattern, $replacement, $content);
}

/* picture_content.tpl */

/* Suppression de la phrase "HD" sous la photo */
/* Penser  supprimer la phrase aussi dans LLGBO fichier : picture_content.tpl */
$this->set_prefilter('default_content', 'Addon_picture_content_Pendings_HD');
function Addon_picture_content_Pendings_HD($content, &$smarty)
{
$pattern = '#<p>{\'Click on the photo to see it in high definition\'|@translate}</p>#';
$replacement = '';
return preg_replace($pattern, $replacement, $content);
}

/* comment_list.tpl & stuffs_comment_list.tpl */

/* Petit formatage*/
$this->set_prefilter('comments', 'Addon_comments_Pendings_text');
$this->set_prefilter('stuffs', 'Addon_comments_Pendings_text');
function Addon_comments_Pendings_text($content, &$smarty)
{
$pattern = '<span class="author">{$comment.AUTHOR}</span> - <span class="date">{$comment.DATE}</span>';
$replacement = '<span class="author">{$comment.AUTHOR}</span><span class="date"> - {$comment.DATE}</span>';
return str_replace($pattern, $replacement, $content);
}

?>
